Uploaded image for project: 'Node.js Driver'
  1. Node.js Driver
  2. NODE-5313

[v4.x BACKPORT] Change Windows hosts to vsCurrent

    • Type: Icon: Task Task
    • Resolution: Done
    • Priority: Icon: Major - P3 Major - P3
    • 4.17.0
    • Affects Version/s: None
    • Component/s: None
    • Labels:
    • 2
    • Not Needed
    • Not Needed
    • Hide

      1. What would you like to communicate to the user about this feature?
      2. Would you like the user to see examples of the syntax and/or executable code and its output?
      3. Which versions of the driver/connector does this apply to?

      Show
      1. What would you like to communicate to the user about this feature? 2. Would you like the user to see examples of the syntax and/or executable code and its output? 3. Which versions of the driver/connector does this apply to?

      Backport NODE-5312 to v4.x.

      Parent Ticket Description:

      Use Case

      As a node engineer
      I want to test on the best supported platform in evergreen
      So that hosts have all required dependencies

      User Impact

      • For non bindings repos - none
      • For native bindings, what is our Windows ABI requirements?
        • Thinking of GLIBC versioning issues we've addressed in the past

      Dependencies

      • None

      Unknowns

      • None

      Acceptance Criteria

      Implementation Requirements

      • Change windows-64-vs2019-large to windows-vsCurrent-large

      Testing Requirements

      • Ensure CI is still green

      Documentation Requirements

      • None

      Follow Up Requirements

      • Backport to 4.x

            Assignee:
            neal.beeken@mongodb.com Neal Beeken
            Reporter:
            dbeng-pm-bot PM Bot
            Durran Jordan
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

              Created:
              Updated:
              Resolved: